// DlgEdgeParam.cpp : t@C
//

#include "stdafx.h"
#include "LineHough.h"
#include "DlgEdgeParam.h"
#include "afxdialogex.h"


// CDlgEdgeParam _CAO

IMPLEMENT_DYNAMIC(CDlgEdgeParam, CDialogEx)

CDlgEdgeParam::CDlgEdgeParam(CWnd* pParent /*=NULL*/)
	: CDialogEx(IDD_DIALOG_EDGE_PARAM, pParent)
{

}

CDlgEdgeParam::~CDlgEdgeParam()
{
}

void CDlgEdgeParam::DoDataExchange(CDataExchange* pDX)
{
	CDialogEx::DoDataExchange(pDX);
	DDX_Control(pDX, IDC_SPIN_REGION_WIDTH, m_spin_region_width);
	DDX_Control(pDX, IDC_SPIN_REGION_HEIGHT, m_spin_region_height);
	DDX_Control(pDX, IDC_SPIN_EDGE_THRESH, m_spin_edge_thresh);
	DDX_Control(pDX, IDC_SPIN_NMS_LENGTH, m_nms_length);
}


BEGIN_MESSAGE_MAP(CDlgEdgeParam, CDialogEx)
	ON_EN_CHANGE(IDC_EDIT_EDGE_THRESH, &CDlgEdgeParam::OnEnChangeEditEdgeThresh)
	ON_EN_CHANGE(IDC_EDIT_SIGMOIDK, &CDlgEdgeParam::OnEnChangeEditSigmoidk)
	ON_EN_CHANGE(IDC_EDIT_VER_THRESH, &CDlgEdgeParam::OnEnChangeEditVerThresh)
END_MESSAGE_MAP()


// CDlgEdgeParam bZ[W nh[



void CDlgEdgeParam::OnEnChangeEditEdgeThresh()
{
	// TODO: ꂪ RICHEDIT Rg[̏ꍇÃRg[
	// ̒ʒm𑗐Mɂ́ACDialogEx::OnInitDialog() ֐I[o[ChA
	// CRichEditCtrl().SetEventMask() 
	// OR Ԃ ENM_CHANGE tO}XNɓČĂяoKv܂B

	// TODO: ɃRg[ʒmnh[ R[hǉĂB

}


BOOL CDlgEdgeParam::OnInitDialog()
{
	CDialogEx::OnInitDialog();

	// TODO: ɏǉĂ
	m_spin_region_width.SetRange(3,255);
	m_spin_region_height.SetRange(1, 15);
	m_spin_edge_thresh.SetRange(0, 255);
	m_nms_length.SetRange(1, 1000);

	return TRUE;  // return TRUE unless you set the focus to a control
				  // O : OCX vpeB y[W͕K FALSE Ԃ܂B


}



void CDlgEdgeParam::OnEnChangeEditSigmoidk()
{
	// TODO: ꂪ RICHEDIT Rg[̏ꍇÃRg[
	// ̒ʒm𑗐Mɂ́ACDialogEx::OnInitDialog() ֐I[o[ChA
	// CRichEditCtrl().SetEventMask() 
	// OR Ԃ ENM_CHANGE tO}XNɓČĂяoKv܂B
	
	
	// TODO: ɃRg[ʒmnh[ R[hǉĂB
	CString cs;
	GetDlgItemText(IDC_EDIT_SIGMOIDK, cs);

	//l`FbNs
	CString csChk = cs.SpanIncluding(_T(".0123456789"));

	//lȊOĂ菜Đݒ肷
	if (csChk != cs) {
		//ppȊO̕菜
		AfxMessageBox(_T("l݂̂͂Ă"), MB_OK | MB_ICONEXCLAMATION);
		int ichi = csChk.GetLength();
		cs.Replace(cs.Mid(ichi, 1), L"");
		SetDlgItemText(IDC_EDIT_SIGMOIDK, cs);
	}
}


void CDlgEdgeParam::OnEnChangeEditVerThresh()
{
	// TODO: ꂪ RICHEDIT Rg[̏ꍇÃRg[
	// ̒ʒm𑗐Mɂ́ACDialogEx::OnInitDialog() ֐I[o[ChA
	// CRichEditCtrl().SetEventMask() 
	// OR Ԃ ENM_CHANGE tO}XNɓČĂяoKv܂B

	// TODO: ɃRg[ʒmnh[ R[hǉĂB
	CString cs;
	GetDlgItemText(IDC_EDIT_VER_THRESH, cs);

	//l`FbNs
	CString csChk = cs.SpanIncluding(_T(".0123456789"));

	//lȊOĂ菜Đݒ肷
	if (csChk != cs) {
		//ppȊO̕菜
		AfxMessageBox(_T("l݂̂͂Ă"), MB_OK | MB_ICONEXCLAMATION);
		int ichi = csChk.GetLength();
		cs.Replace(cs.Mid(ichi, 1), L"");
		SetDlgItemText(IDC_EDIT_VER_THRESH, cs);
	}
}
