// DlgHoughParam.cpp : t@C
//

#include "stdafx.h"
#include "LineHough.h"
#include "DlgHoughParam.h"
#include "afxdialogex.h"


// CDlgHoughParam _CAO

IMPLEMENT_DYNAMIC(CDlgHoughParam, CDialogEx)

CDlgHoughParam::CDlgHoughParam(CWnd* pParent /*=NULL*/)
	: CDialogEx(IDD_DIALOG_HOUGH_PARAM, pParent)
{

}

CDlgHoughParam::~CDlgHoughParam()
{
}

void CDlgHoughParam::DoDataExchange(CDataExchange* pDX)
{
	CDialogEx::DoDataExchange(pDX);
	DDX_Control(pDX, IDC_EDIT_REQUEST_NUM, m_request_num);
	DDX_Control(pDX, IDC_EDIT_VOTE_WIDTH, m_vote_width);
	DDX_Control(pDX, IDC_EDIT_REGION_R, m_region_r);
	DDX_Control(pDX, IDC_EDIT_REGION_Q, m_region_q);
	DDX_Control(pDX, IDC_CHECK_BORDER_FLG, m_border);
	DDX_Control(pDX, IDC_SPIN_REQUEST_NUM, m_spin_request_num);
	DDX_Control(pDX, IDC_SPINVOTE_WIDTH, m_spin_vote_width);
	DDX_Control(pDX, IDC_SPIN_REGION_R, m_spin_region_r);
	DDX_Control(pDX, IDC_SPIN_REGION_Q, m_spin_region_q);
	DDX_Control(pDX, IDC_COMBO_SELECT_FILTER, m_select_filter);
}


BEGIN_MESSAGE_MAP(CDlgHoughParam, CDialogEx)
	ON_EN_CHANGE(IDC_EDIT_ANGLE_ST, &CDlgHoughParam::OnEnChangeEditAngleSt)
	ON_EN_CHANGE(IDC_EDIT_ANGLE_ED, &CDlgHoughParam::OnEnChangeEditAngleEd)
	ON_CBN_SELCHANGE(IDC_COMBO_SELECT_FILTER, &CDlgHoughParam::OnCbnSelchangeComboSelectFilter)
END_MESSAGE_MAP()


// CDlgHoughParam bZ[W nh[




BOOL CDlgHoughParam::OnInitDialog()
{
	CDialogEx::OnInitDialog();

	// TODO: ɏǉĂ
	m_spin_request_num.SetRange(1,1000);
	m_spin_vote_width.SetRange(0, 179);
	m_spin_region_r.SetRange(0, 1000);
	m_spin_region_q.SetRange(0, 179);


	m_select_filter.Clear();
	m_select_filter.AddString(_T("\[x"));
	m_select_filter.InsertString(0, _T("փGbW"));
	m_select_filter.SetCurSel(0);

	return TRUE;  // return TRUE unless you set the focus to a control
				  // O : OCX vpeB y[W͕K FALSE Ԃ܂B
}


void CDlgHoughParam::OnEnChangeEditAngleSt()
{
	// TODO: ꂪ RICHEDIT Rg[̏ꍇÃRg[
	// ̒ʒm𑗐Mɂ́ACDialogEx::OnInitDialog() ֐I[o[ChA
	// CRichEditCtrl().SetEventMask() 
	// OR Ԃ ENM_CHANGE tO}XNɓČĂяoKv܂B

	// TODO: ɃRg[ʒmnh[ R[hǉĂB
	CString cs;
	GetDlgItemText(IDC_EDIT_ANGLE_ST, cs);

	//l`FbNs
	CString csChk = cs.SpanIncluding(_T(".0123456789"));

	//lȊOĂ菜Đݒ肷
	if (csChk != cs) {
		//ppȊO̕菜
		AfxMessageBox(_T("l݂̂͂Ă"), MB_OK | MB_ICONEXCLAMATION);
		int ichi = csChk.GetLength();
		cs.Replace(cs.Mid(ichi, 1), L"");
		SetDlgItemText(IDC_EDIT_ANGLE_ST, cs);
	}

}


void CDlgHoughParam::OnEnChangeEditAngleEd()
{
	// TODO: ꂪ RICHEDIT Rg[̏ꍇÃRg[
	// ̒ʒm𑗐Mɂ́ACDialogEx::OnInitDialog() ֐I[o[ChA
	// CRichEditCtrl().SetEventMask() 
	// OR Ԃ ENM_CHANGE tO}XNɓČĂяoKv܂B

	// TODO: ɃRg[ʒmnh[ R[hǉĂB
	CString cs;
	GetDlgItemText(IDC_EDIT_ANGLE_ED, cs);

	//l`FbNs
	CString csChk = cs.SpanIncluding(_T(".0123456789"));

	//lȊOĂ菜Đݒ肷
	if (csChk != cs) {
		//ppȊO̕菜
		AfxMessageBox(_T("l݂̂͂Ă"), MB_OK | MB_ICONEXCLAMATION);
		int ichi = csChk.GetLength();
		cs.Replace(cs.Mid(ichi, 1), L"");
		SetDlgItemText(IDC_EDIT_ANGLE_ED, cs);
	}

}


void CDlgHoughParam::OnCbnSelchangeComboSelectFilter()
{
	// TODO: ɃRg[ʒmnh[ R[hǉ܂B

	GetParent()->GetParent()->SendMessage(MY_MESSAGE, 0, 0);
	CString str;
}
